16.10, 17.04, 17.10 Wired connection stopped working RTL 8111/8168/8411

Bug #1687262 reported by Alexey Balmashnov on 2017-04-30
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned
Zesty
High
Unassigned

Bug Description

== Regression details ==
Discovered in version: yakkety
Last known good version: xenial

This is a regression.

Upon upgrading 16.04 -> 16.10. Wired connection provided by "RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller" has stopped working.

Quickly looked around for possible solution, and decided to go on with upgrade to 17.04, since it was my initial upgrade target anyway, and wireless on the system continued to function. So, ended up in this situation: running 17.04, wireless adapter is working, while wired does not work any more.

Extra observation: I've also tried live session from USB based on 17.04 ISO-image, wired network adapter just works in the live session.

Conclusion: it is a software issue.

Note that similar problem was reported be other user on the forum:

https://ubuntuforums.org/showthread.php?t=2354675

ProblemType: Bug
DistroRelease: Ubuntu 17.04
Package: linux-image-generic 4.10.0.20.22
ProcVersionSignature: Ubuntu 4.10.0-20.22-generic 4.10.8
Uname: Linux 4.10.0-20-generic x86_64
NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia
ApportVersion: 2.20.4-0ubuntu4
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: alexei 1894 F.... pulseaudio
 /dev/snd/controlC0: alexei 1894 F.... pulseaudio
CurrentDesktop: Unity:Unity7
Date: Sun Apr 30 09:33:01 2017
HibernationDevice: RESUME=UUID=45af239b-c597-45a1-bb72-3ba25b5ee546
InstallationDate: Installed on 2016-01-06 (479 days ago)
InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
MachineType: To Be Filled By O.E.M. To Be Filled By O.E.M.
ProcFB: 0 EFI VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.10.0-20-generic.efi.signed root=UUID=d4f27b9e-0cff-49e1-8392-a41aa520bd85 ro noprompt persistent quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-4.10.0-20-generic N/A
 linux-backports-modules-4.10.0-20-generic N/A
 linux-firmware 1.164
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
UpgradeStatus: Upgraded to zesty on 2017-04-23 (6 days ago)
dmi.bios.date: 09/16/2011
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: P1.10
dmi.board.name: HM65-MXM
dmi.board.vendor: ASRock
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrP1.10:bd09/16/2011:svnToBeFilledByO.E.M.:pnToBeFilledByO.E.M.:pvrToBeFilledByO.E.M.:rvnASRock:rnHM65-MXM:rvr:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: To Be Filled By O.E.M.
dmi.product.version: To Be Filled By O.E.M.
dmi.sys.vendor: To Be Filled By O.E.M.

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.11 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.11-rc8

Changed in linux (Ubuntu):
importance: Undecided → High
Changed in linux (Ubuntu Zesty):
status: New → Incomplete
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Changed in linux (Ubuntu Zesty):
importance: Undecided → High
tags: added: kernel-da-key

Live Ubuntu 17.04 session is running OK (mentioned in original report) and it is using:
---------------------------------
$ apt-cache-policy linux-image-generic
linux-image-generic:
  Installed: 4.10.0.19.21
  Candidate: 4.10.0.19.21
  Version table:
 *** 4.10.0.19.21 500
        500 http://archive.ubuntu.com/ubuntu zesty/main amd64 Packages
        100 /var/lib/dpkg/status
$ uname -a
Linux ubuntu 4.10.0-19-generic #21-Ubuntu SMP Thu Apr 6 17:04:57 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
---------------------------------

So, I did not go in suggested direction of checking upstream kernels...

Instead, I tried manual network configuration though, and it worked (see below). So it is definitely not a kernel problem but network configuration/network connection management problem. Not sure, where this bug has to be reassigned.

---------------------------------
$ cat /etc/network/interfaces
# interfaces(5) file used by ifup(8) and ifdown(8)
auto lo
iface lo inet loopback
iface enp5s0 inet dhcp
---------------------------------
$ sudo ifup enp5s0
[sudo] password for alexei:
Internet Systems Consortium DHCP Client 4.3.5
Copyright 2004-2016 Internet Systems Consortium.
All rights reserved.
For info, please visit https://www.isc.org/software/dhcp/

Listening on LPF/enp5s0/bc:5f:f4:2c:f6:c1
Sending on LPF/enp5s0/bc:5f:f4:2c:f6:c1
Sending on Socket/fallback
DHCPDISCOVER on enp5s0 to 255.255.255.255 port 67 interval 3 (xid=0xf68ff4f)
DHCPDISCOVER on enp5s0 to 255.255.255.255 port 67 interval 8 (xid=0xf68ff4f)
DHCPREQUEST of 192.168.0.105 on enp5s0 to 255.255.255.255 port 67 (xid=0x4fff680f)
DHCPOFFER of 192.168.0.105 from 192.168.0.1
DHCPACK of 192.168.0.105 from 192.168.0.1
bound to 192.168.0.105 -- renewal in 3428 seconds.
---------------------------------
$ ifconfig enp5s0
enp5s0: flags=4163<UP,BROADCAST,RUNNING,MULTICAST> mtu 1500
        inet 192.168.0.105 netmask 255.255.255.0 broadcast 192.168.0.255
        inet6 fe80::be5f:f4ff:fe2c:f6c1 prefixlen 64 scopeid 0x20<link>
        ether bc:5f:f4:2c:f6:c1 txqueuelen 1000 (Ethernet)
        RX packets 23 bytes 3309 (3.3 KB)
        RX errors 0 dropped 0 overruns 0 frame 0
        TX packets 61 bytes 7619 (7.6 KB)
        TX errors 0 dropped 0 overruns 0 carrier 0 collisions 0
---------------------------------

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu Zesty) because there has been no activity for 60 days.]

Changed in linux (Ubuntu Zesty):
status: Incomplete → Expired
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired

Bug is still relevant.

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 17.04
Release: 17.04
Codename: zesty

uname -a
Linux hosty 4.10.0-26-generic #30-Ubuntu SMP Tue Jun 27 09:30:12 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

$ apt-cache policy network-manager
network-manager:
  Installed: 1.4.4-1ubuntu3.1
  Candidate: 1.4.4-1ubuntu3.1
  Version table:
 *** 1.4.4-1ubuntu3.1 500
        500 http://archive.ubuntu.com/ubuntu zesty-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     1.4.4-1ubuntu3 500
        500 http://archive.ubuntu.com/ubuntu zesty/main amd64 Packages

Changed in linux (Ubuntu Zesty):
status: Expired → Confirmed

Upgraded to artful beta - the issue persists.

$ lsb_release -a
LSB Version: core-9.20160110ubuntu5-amd64:core-9.20160110ubuntu5-noarch:printing-9.20160110ubuntu5-amd64:printing-9.20160110ubuntu5-noarch:security-9.20160110ubuntu5-amd64:security-9.20160110ubuntu5-noarch
Distributor ID: Ubuntu
Description: Ubuntu Artful Aardvark (development branch)
Release: 17.10
Codename: artful

Moreover, it became worse. Now if I disable manual configuration in /etc/network/interfaces (as described in comment above https://bugs.launchpad.net/ubuntu/zesty/+source/linux/+bug/1687262/comments/4) the system does not boot.

Changed in linux (Ubuntu):
status: Expired → Confirmed
summary: - 16.10, 17.04 Wired connection stopped working RTL 8111/8168/8411
+ 16.10, 17.04, 17.10 Wired connection stopped working RTL 8111/8168/8411
tags: added: artful

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get dist-upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-4.10.0-22.24
tags: added: regression-release
removed: kernel-request-4.10.0-22.24
description: updated
Joseph Salisbury (jsalisbury) wrote :

Can you also test the 4.13 final kernel:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.13

@Joseph: no point, as indicated multiple times, network card works with current kernel 4.12.0-13, when configured in /etc/network/interfaces

When similar was observed after upgrading of another system with completely different hardware:
  *-network DISABLED
       description: Ethernet interface
       product: 82566DC Gigabit Network Connection
       vendor: Intel Corporation

I've noted that it was also
  *-network DISABLED

This time search of the web led me to AskUbuntu entry [1] and the answer [2] advising to change NetworkManager configuration in /usr/lib/NetworkManager/conf.d/10-globally-managed-devices.conf this. Although I do not understand if there are other implications, this answer helped me to resolve issue at hand.

Looks like this bug should belong to network-manager or other project dealing with configuration changes upon upgrades.

[1] https://askubuntu.com/q/906636/735629
[2] https://askubuntu.com/a/909185/735629

Changed in linux (Ubuntu):
status: Incomplete → Fix Committed
status: Fix Committed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers